local t = Def.ActorFrame {
	Def.Sprite{
		BeginCommand=cmd(playcommand,"SetGraphic");
		InitCommand=cmd(horizalign,left);
		OnCommand=cmd(addx,15;addy,15;diffusealpha,0;sleep,0.9;decelerate,0.4;addx,-15;addy,-15;diffusealpha,1);
		SetGraphicCommand=function(self)
			local so = GAMESTATE:GetSortOrder();
			if so ~= nil then
				local sort = ToEnumShortString(so)
				self:Load(THEME:GetPathG("","_SortDisplay/_"..sort));
			end;
		end;
		SortOrderChangedMessageCommand=function(self)
			self:queuecommand("SetGraphic");
		end;
	};
};

return t;